FMA(3)

NAME
fma, fmaf, fmal - floating multiply-add

SYNOPSIS
#include <math.h>
double
fma(double x, double y, double z);
float
fmaf(float x, float y, float z);
long double
fmal(long double x, long double y, long double z);

DESCRIPTION
The fma(), fmaf() and fmal() functions compute (x * y) + z, rounded as one ternary operation. The result is rounded according to the current rounding mode.

RETURN VALUES
The fma(), fmaf() and fmal() functions return (x * y) + z, rounded as one ternary operation.

SEE ALSO
fegetround(3), remainder(3)

STANDARDS
The fma(), fmaf() and fmal() functions conform to isoC-99.